commit: 63b4d3ae55fcee908c15dac56c6f0a07fc04dd32
Author: Michał Górny <mgorny <AT> gentoo <DOT> org>
AuthorDate: Mon May 10 18:14:48 2021 +0000
Commit: Michał Górny <mgorny <AT> gentoo <DOT> org>
CommitDate: Mon May 10 19:26:21 2021 +0000
URL: https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=63b4d3ae
dev-python/cfn-python-lint: Bump to 0.49.1
Signed-off-by: Michał Górny <mgorny <AT> gentoo.org>
dev-python/cfn-python-lint/Manifest | 1 +
.../cfn-python-lint/cfn-python-lint-0.49.1.ebuild | 52 ++++++++++++++++++++++
2 files changed, 53 insertions(+)
diff --git a/dev-python/cfn-python-lint/Manifest
b/dev-python/cfn-python-lint/Manifest
index 2d31b28942c..16480d9935b 100644
--- a/dev-python/cfn-python-lint/Manifest
+++ b/dev-python/cfn-python-lint/Manifest
@@ -1,2 +1,3 @@
DIST cfn-python-lint-0.48.3.tar.gz 6758651 BLAKE2B
a8aeaffb0791789b25c94c630532ced223432f9902cf60664e4b111d162b4379d6307eda5c8f8074f7d2917ff25f44657016894b2140c8ea1dbf3259b24dde38
SHA512
ab1555719edb9b3541bfe60ce2701cca9e2ab9f4627c1b46ab8f4920477531f56f14f393b3575525da81b6aefd087b6c3cac516bdd6eb1db0f31304d7c63e1cb
DIST cfn-python-lint-0.49.0.tar.gz 6797106 BLAKE2B
aa60c3e5eb246c45997af57f934d2710b56c4966babb61f56cc538c49606e3befd130f6a4298b124d38401927ae40127e699fba6a1f69ee177c07c9bf5d880e4
SHA512
4b656cda70de686aa3bb404908eac6ff66cabc0ebb064d5ccbe554a10551e8a5a7a308e3480826ec52b87549a8626f2a9cbbf51bd44613d94344db8dcd4443a7
+DIST cfn-python-lint-0.49.1.tar.gz 6906770 BLAKE2B
3115e610a73f072f56f0ed45ab8c88f7a906115437081d8974a135b3a9fbfcec4f677bdc108fa0ed37814caa6f0cc1e22fa7892d715c658e9ef05c8299f377a6
SHA512
4ceda24495aa43ad84ca7e63aa566521aab339f01308f5754372289a7f595d6805d6b1ac9bf637ba20a05bf17b93f8a06d5d1fd4dca3b8955094f54a62e28313
diff --git a/dev-python/cfn-python-lint/cfn-python-lint-0.49.1.ebuild
b/dev-python/cfn-python-lint/cfn-python-lint-0.49.1.ebuild
new file mode 100644
index 00000000000..94cd12f6029
--- /dev/null
+++ b/dev-python/cfn-python-lint/cfn-python-lint-0.49.1.ebuild
@@ -0,0 +1,52 @@
+# Copyright 1999-2021 Gentoo Authors
+# Distributed under the terms of the GNU General Public License v2
+
+EAPI=7
+
+PYTHON_COMPAT=( python3_{7..9} )
+inherit distutils-r1
+
+DESCRIPTION="CloudFormation Linter"
+HOMEPAGE="https://pypi.org/project/cfn-lint/
https://github.com/aws-cloudformation/cfn-python-lint"
+SRC_URI="https://github.com/aws-cloudformation/${PN}/archive/v${PV}.tar.gz ->
${P}.tar.gz"
+
+LICENSE="MIT"
+SLOT="0"
+KEYWORDS="~amd64 ~arm ~arm64 ~x86"
+
+RDEPEND="
+ >=dev-python/aws-sam-translator-1.35.0[${PYTHON_USEDEP}]
+ $(python_gen_cond_dep '
+ dev-python/importlib_resources[${PYTHON_USEDEP}]
+ ' python3_6)
+ dev-python/jsonpatch[${PYTHON_USEDEP}]
+ >=dev-python/jsonschema-3.0[${PYTHON_USEDEP}]
+ dev-python/junit-xml[${PYTHON_USEDEP}]
+ dev-python/networkx[${PYTHON_USEDEP}]
+ >=dev-python/pyyaml-5.4[${PYTHON_USEDEP}]
+ >=dev-python/requests-2.15.0[${PYTHON_USEDEP}]
+ >=dev-python/six-1.11[${PYTHON_USEDEP}]
+"
+BDEPEND="
+ test? (
+ dev-python/mock[${PYTHON_USEDEP}]
+ )
+"
+
+distutils_enable_tests --install unittest
+
+PATCHES=(
+ "${FILESDIR}/cfn-python-lint-0.30.1-tests.patch"
+)
+
+src_prepare() {
+ # unpin the deps
+ sed -e 's:~=[0-9.]*::' -i setup.py || die
+ # requires git checkout
+ sed -e 's:test_update_docs:_&:' \
+ -i test/unit/module/maintenance/test_update_documentation.py ||
die
+ # requires Internet
+ sed -e 's:test_update_resource_specs_python:_&:' \
+ -i test/unit/module/maintenance/test_update_resource_specs.py
|| die
+ distutils-r1_src_prepare
+}